<?php

$FUNCS->register_tag( 'indent', 'indent' );
function indent( $params, $node ){
	global $FUNCS;

	extract( $FUNCS->get_named_vars(
		array( 
			'type'=>'',
			'count'=>'',
		),
		$params)
				 );
	$type = trim( $type );
	$count = trim( $count );
	if( !$count or !$type ) return;

	$indent_char = "";
	if ($type == 'tabs') {
		$indent_char = "\t";
	} elseif ($type == 'spaces') {
		$indent_char = " ";
	}

	$indent = "";
	for ($i = 0; $i < $count; $i++) {
		$indent .= $indent_char;
	}

	// call the children
	foreach( $node->children as $child ){
		$html .= $child->get_HTML();
		$html = str_replace( "\n", $indent, $html );
	}

	return $html;
}
